/**
 * 禁用系统返回键
 */
export const disableBackButton = () => {
  // 初始状态下就阻止默认的返回行为
  history.pushState(null, null, location.href)

  // 每当用户点击返回按钮，立即将其推回当前页面
  window.addEventListener('popstate', function () {
    history.pushState(null, null, location.href)
    // 阻止默认行为
    return false
  })

  // 返回清理函数
  return () => {
    window.removeEventListener('popstate', function () {
      history.pushState(null, null, location.href)
      return false
    })
  }
}
